Bug 118930 - Auto logout halts systems
Summary: Auto logout halts systems
Status: RESOLVED FIXED
Alias: None
Product: kscreensaver
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kscreensaver bugs tracking
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-23 23:36 UTC by Kevin Krammer
Modified: 2008-05-19 17:59 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Krammer 2005-12-23 23:36:57 UTC
Version:            (using KDE KDE 3.4.3)
Installed from:    Debian testing/unstable Packages
OS:                Linux

The auto logout feature of kdesktop_lock calls ksmserver's DCOP interface logout(0, 2, 0) where 2 means, if I am not mistaken, ShutdownTypeHalt

I guess it would be better to use 0, -1, 0 i.e. ShutdownTypeDefault

See this thread for reference
http://lists.kde.org/?t=113503376200003&r=1&w=2
Comment 1 Kevin Krammer 2005-12-23 23:38:14 UTC
Adding Chris to CC as he seems to be the main author of autologout.cc
Comment 2 Chris Howells 2006-05-29 01:02:36 UTC
reassign to me, I had no idea of this problem.
Comment 3 Chris Howells 2006-05-29 02:32:27 UTC
test
Comment 4 Oswald Buddenhagen 2007-05-18 20:19:06 UTC
SVN commit 666081 by ossi:

don't shutdown at autologout.
i chose "logout only" instead of the default action based on the idea
that the default is just a default while this is something that will
happen without the user having a way to influence it. if it turns out to
be a problem for somebody, a config option can be added (yay, another
one!).

BUG: 118930


 M  +1 -1      autologout.cc  


--- trunk/KDE/kdebase/workspace/krunner/lock/autologout.cc #666080:666081
@@ -111,7 +111,7 @@
 {
     QAbstractEventDispatcher::instance()->unregisterTimers(this);
     org::kde::KSMServerInterface ksmserver("org.kde.ksmserver", "/KSMServer", QDBusConnection::sessionBus());
-    ksmserver.logout( 0, 2, 0 );
+    ksmserver.logout( 0, 0, 0 );
 }
 
 void AutoLogout::setVisible(bool visible)